\documentclass[border=10pt]{standalone}

\usepackage{verbatim}
\usepackage[utf8]{inputenc}
\usepackage{eurosym}

\usepackage{tikz}
\usetikzlibrary{arrows.meta}
\usetikzlibrary{positioning}
\usetikzlibrary{calc}
\usetikzlibrary{shapes}

\tikzset{%
  >={Latex[width=2mm,length=2mm]},
  % Specifications for style of nodes:
            base/.style = {rectangle, draw=black,
                           minimum height = 0.7cm, text width=0.7cm,
                           text centered},
             var/.style = {base, fill=white},
     modifiedvar/.style = {base, fill=gray!20, text width = 2cm},
          thread/.style = {base, fill=white, ellipse, text width = 1.35cm},
  	   invisible/.style = {base, fill=none, draw=none, text width = },
}

\begin{document}
% Drawing part, node distance is 1.5 cm and every node
% is prefilled with white background
\begin{tikzpicture}[node distance=0.30cm and 0.0cm,
    every node/.style={fill=white}, align = left]
	
	\node (var0)			[var, ] {$i_{00}$};
	\node (var1)			[var, right= of var0] {$i_{01}$};
	\node (var2)			[var, right= of var1] {$i_{02}$};
	\node (var3)			[var, right= of var2] {$i_{03}$};
	
	\node (var4)			[var, below= of var0] {$i_{10}$};
	\node (var5)			[var, right= of var4] {$i_{11}$};
	\node (var6)			[var, right= of var5] {$i_{12}$};
	\node (var7)			[var, right= of var6] {$i_{13}$};
	
	\node (var8)			[var, below= of var4] {$i_{20}$};
	\node (var9)			[var, right= of var8] {$i_{21}$};
	\node (var10)			[var, right= of var9] {$i_{22}$};
	\node (var11)			[var, right= of var10] {$i_{23}$};
	
	\node (var12)			[var, below= of var8] {$i_{30}$};
	\node (var13)			[var, right= of var12] {$i_{31}$};
	\node (var14)			[var, right= of var13] {$i_{32}$};
	\node (var15)			[var, right= of var14] {$i_{33}$};
	
  \end{tikzpicture}
\end{document}
